View Issue Details

IDProjectCategoryView StatusLast Update
0015923MediaMonkey 5Syncpublic2022-09-27 19:17
Reporterrusty Assigned To 
PriorityurgentSeveritymajorReproducibilityalways
Status closedResolutionfixed 
Product Version5.0 
Target Version5.0Fixed in Version5.0 
Summary0015923: Google 'Gallery Go' contains MM Album Art
DescriptionThe Google Gallery Go app is a lightweight photos app. On a Pixel 2 running Android 9, it includes all photos that MM5 has wirelessly synced to MMA. Similarly, Solid Explorer displays MM-synced album art in the Photos section.

Examination of the folder structure in MMA shows that album art is stored as follows for all tracks:
/Music/<ArtistName>/<AlbumName>/albumart (stored to same directory as the tracks)

MM5 shows the following setting (which I presume is the default?):
[x] Sync all Artwork to file folders _albumart_

I would have thought:
1) by default MM should sync to a hidden directory/filename (e.g. /.albumart)
2) that MM would create a directory for the artwork (that's what the wording implies). Or should the wording be changed to
Sync Artwork to the following folder/path _/.albumart/albumart
TagsNo tags attached.
Fixed in build2195

Relationships

related to 0014350 closedLudek MediaMonkey 4 Artwork getting added to users photos 
related to 0019404 closedLudek MediaMonkey 5 USB stick storage profile: Default album art filename is just '.jpg' 

Activities

Ludek

2019-09-05 10:36

developer   ~0054514

Instead of complicating it with another subfolder I would suggest to adjust just the filename.

Possible approaches re filename change (to test which one works):
.albumart
albumart.thm
albumart.jpg.hide

Ludek

2019-09-05 12:15

developer   ~0054515

Last edited: 2019-09-05 12:16

It seems that just using 'folder.jpg' is the solution: https://android.stackexchange.com/questions/69168/how-do-i-exclude-album-art-from-the-gallery

martin

2019-09-05 12:35

developer   ~0054516

Last edited: 2019-09-05 12:36

Tested with https://play.google.com/store/apps/details?id=com.google.android.apps.photosgo
Strange, but on my phone all "albumart.jpg" files were excluded automatically.
The app displays images only when filename is different e.g. "covers.jpg", "DAFKADSJLF.jpg" etc.
Also, hidden files are ignored too, so renaming "covers.jpg" to ".covers.jpg" helped too.

Ludek

2019-09-05 12:39

developer   ~0054517

As discussed offline, the 'albumart.jpg' is the default in MM4 and works to hide the files from gallery.

For some reason MM5's default is just 'albumart' (without jpg extension) which causes the bug (showing the images in gallery)

Ludek

2019-09-05 13:12

developer   ~0054518

Last edited: 2019-09-05 13:12

Fixed in 2195 + added also auto-correction ('albumart' -> 'albumart.jpg') for the already existing profiles.

peke

2019-09-07 23:09

developer   ~0054538

Verified 2195

Album arts are now hidden.